//
//  CustomViewController.m
//  HXMySegementView
//
//  Created by HXMAC on 2017/4/10.
//  Copyright © 2017年 HXMAC. All rights reserved.
//

#import "CustomViewController.h"
#import "WTSegmentView.h"
#import "Header.h"
#import "HXPhotoButton.h"
@interface CustomViewController ()<WTSegmentDelegate>

@end

@implementation CustomViewController

- (void)viewDidLoad {
    [super viewDidLoad];
    // Do any additional setup after loading the view.
    self.view.backgroundColor = [UIColor whiteColor];
    self.edgesForExtendedLayout = UIRectEdgeNone;
    [self creteSegmentView];

}
- (void)creteSegmentView{
    if (_myBtnType == HXNoPhotoNoList) {
        WTSegmentView *segmentView = [[WTSegmentView alloc]initViewWithTitle:@[@"游戏",@"直播",@"新闻"] andRect:CGRectMake(0,0,WIDTH,50) andType:_myBtnType];
        segmentView.delegate = self;
        [self.view addSubview:segmentView];
    }
    if (_myBtnType == HXNoList) {
        WTSegmentView *segView = [[WTSegmentView alloc]initViewWithTitle:@[@"价格",@"销量",@"人气"] andRect:CGRectMake(0,0,WIDTH,50) andType:_myBtnType];
        segView.delegate = self;
        [self.view addSubview:segView];
    }if (_myBtnType == HXNOPHOTO) {
        WTSegmentView *segmentView = [[WTSegmentView alloc]initViewWithTitle:@[@[@"综合",@"销量",@"人气"],@[@"京东配送",@"其他配送"],@[@"价格"]] andRect:CGRectMake(0,0,WIDTH,50) andType:_myBtnType];
        __weak CustomViewController *weakSelf = self;
        [segmentView getChooseBlock:^(NSMutableArray *array) {
            NSMutableArray *returnArray = [NSMutableArray array];

            for (int i = 0; i < array.count; i ++) {
                NSDictionary *mydict = [array objectAtIndex:i];
                if ([[mydict objectForKey:@"phototype"] integerValue] ==HXNONETYPE) {
                    [returnArray addObject:[NSString stringWithFormat:@"%@",[mydict objectForKey:@"typekey"]]];
                }else{
                    [returnArray addObject:[NSString stringWithFormat:@"%@:%@",[mydict objectForKey:@"typekey"],[[mydict objectForKey:@"phototype"] integerValue] == HXUPTYPE?@"从大到小":@"从小到大"]];;

                }
            }
           UIAlertController *alterc = [UIAlertController alertControllerWithTitle:@"当前选择情况" message:[returnArray componentsJoinedByString:@"\n"] preferredStyle:UIAlertControllerStyleAlert];
            UIAlertAction *cancelAction = [UIAlertAction actionWithTitle:@"取消" style:UIAlertActionStyleCancel handler:nil];
            UIAlertAction *okAction = [UIAlertAction actionWithTitle:@"好的" style:UIAlertActionStyleDefault handler:nil];
            [alterc addAction:cancelAction];
            [alterc addAction:okAction];
            [weakSelf.navigationController presentViewController:alterc animated:YES completion:^{
                
            }];
        }];
        [self.view addSubview:segmentView];
    }
}

#pragma make --WTSegmentDelegate--
- (void)SegmentButtonClick:(UIButton *)segButton{
        UIAlertController *alterc = [UIAlertController alertControllerWithTitle:@"当前选择情况" message:segButton.titleLabel.text preferredStyle:UIAlertControllerStyleAlert];
        UIAlertAction *cancelAction = [UIAlertAction actionWithTitle:@"取消" style:UIAlertActionStyleCancel handler:nil];
        UIAlertAction *okAction = [UIAlertAction actionWithTitle:@"好的" style:UIAlertActionStyleDefault handler:nil];
        [alterc addAction:cancelAction];
        [alterc addAction:okAction];
        [self.navigationController presentViewController:alterc animated:YES completion:^{
            
        }];
}
- (void)photoSegmentButtonClick:(NSMutableArray *)array{
    NSMutableArray *returnArray = [NSMutableArray array];
    for (int i = 0; i < array.count; i ++) {
        NSDictionary *mydict = [array objectAtIndex:i];
        if ([[mydict objectForKey:@"phototype"] integerValue]!=HXNONETYPE) {
            [returnArray addObject:[NSString stringWithFormat:@"%@:%@",[mydict objectForKey:@"typekey"],[[mydict objectForKey:@"phototype"] integerValue] == HXUPTYPE?@"从大到小":@"从小到大"]];;
        }
    }
   UIAlertController *alterc = [UIAlertController alertControllerWithTitle:@"当前选择情况" message:[returnArray componentsJoinedByString:@"/n"] preferredStyle:UIAlertControllerStyleAlert];
    UIAlertAction *cancelAction = [UIAlertAction actionWithTitle:@"取消" style:UIAlertActionStyleCancel handler:nil];
    UIAlertAction *okAction = [UIAlertAction actionWithTitle:@"好的" style:UIAlertActionStyleDefault handler:nil];
    [alterc addAction:cancelAction];
    [alterc addAction:okAction];
    [self.navigationController presentViewController:alterc animated:YES completion:^{    }];
}
- (void)didReceiveMemoryWarning {
    [super didReceiveMemoryWarning];
    // Dispose of any resources that can be recreated.
}

/*
#pragma mark - Navigation

// In a storyboard-based application, you will often want to do a little preparation before navigation
- (void)prepareForSegue:(UIStoryboardSegue *)segue sender:(id)sender {
    // Get the new view controller using [segue destinationViewController].
    // Pass the selected object to the new view controller.
}
*/

@end
