//
//  HXPhotoButton.m
//  HXMySegementView
//
//  Created by HXMAC on 2017/4/10.
//  Copyright © 2017年 HXMAC. All rights reserved.
//

#import "HXPhotoButton.h"
#import "Header.h"
@implementation HXPhotoButton

/*
// Only override drawRect: if you perform custom drawing.
// An empty implementation adversely affects performance during animation.
- (void)drawRect:(CGRect)rect {
    // Drawing code
}
*/
- (id)initWithTitle:(NSString *)title andFrame:(CGRect)frame angTag:(NSInteger)tag{
    self = [super initWithFrame:frame];
    if (self) {
        _myBtn = [UIButton buttonWithType:UIButtonTypeCustom];
        _myBtn.frame = CGRectMake(0, 0, frame.size.width, frame.size.height);
        [_myBtn setTitle:title forState:UIControlStateNormal];
        [_myBtn setTitleColor:[UIColor blackColor] forState:UIControlStateNormal];
        [_myBtn setTitleColor:LightBlueColor forState:UIControlStateSelected];
        [_myBtn addTarget:self action:@selector(buttonClick:) forControlEvents:UIControlEventTouchUpInside];
        [self addSubview:_myBtn];

        _upBtn = [UIButton buttonWithType:UIButtonTypeCustom];
        _upBtn.frame = CGRectMake(frame.size.width - 20, (frame.size.height - 18)/2, 15, 8);
        [_upBtn setBackgroundImage:[UIImage imageNamed:@"up_hui.png"] forState:UIControlStateNormal];
        [_upBtn setBackgroundImage:[UIImage imageNamed:@"up_lan.png"] forState:UIControlStateSelected];
        [self addSubview:_upBtn];
        
        _downBtn = [UIButton buttonWithType:UIButtonTypeCustom];
        _downBtn.frame = CGRectMake(frame.size.width - 20, ViewFrameY_H(_upBtn) + 2, 15, 8) ;
        [_downBtn setBackgroundImage:[UIImage imageNamed:@"down_hui.png"] forState:UIControlStateNormal];
        [_downBtn setBackgroundImage:[UIImage imageNamed:@"down_lan.png"] forState:UIControlStateSelected];
        [self addSubview:_downBtn];
        [_upBtn setBackgroundColor:[UIColor clearColor]];
        [_downBtn setBackgroundColor:[UIColor clearColor]];
        _myBtn.tag = tag;
        [_myBtn setBackgroundColor:[UIColor clearColor]];

        
    }
    return self;
}
- (void)buttonClick:(UIButton *)button{
    [_photoButtonDelegate performSelector:@selector(buttonChoose:) withObject:button];
}
@end
