//
//  WTSegmentView.h
//  HXMySegementView
//
//  Created by HXMAC on 2017/4/10.
//  Copyright © 2017年 HXMAC. All rights reserved.
//

#import <UIKit/UIKit.h>
#import "Header.h"
@protocol WTSegmentDelegate <NSObject>
- (void)SegmentButtonClick:(UIButton *)segButton;//
- (void)photoSegmentButtonClick:(NSMutableArray *)array;
@end
//前段时间碰到有人问block的用法，所以这里对有菜单列表的传值采用block方法
typedef void(^returnChooseBlock)(NSMutableArray *array);

@interface WTSegmentView : UIView
@property(nonatomic,weak)id<WTSegmentDelegate> delegate;
@property(nonatomic,copy)returnChooseBlock chooseBlock;
//初始化方法
- (id)initViewWithTitle:(NSArray *)titleArray andRect:(CGRect)rect andType:(HXChooseButtonType)type;

- (void)getChooseBlock:(returnChooseBlock)block;

@end
